<template>
  <v-app dark>
    <v-app-bar class="app-bar"
      :clipped-left="clipped"
      fixed
      app
    >
    <ClientOnly>
      <MenuComponent />
    </ClientOnly>
    </v-app-bar>
    <v-main>
      <v-container style="width: 100vw">
        <Nuxt />
      </v-container>
    </v-main>
  
    <FooterComponent />
  </v-app>
</template>

<script>
export default {
  name: 'DefaultLayout',
  data () {
    return {
      componentKey: 0,
      clipped: false,
      drawer: false,
      fixed: false,
      items: [
        {
          icon: 'mdi-apps',
          title: 'Welcome',
          to: '/'
        },
        {
          icon: 'mdi-chart-bubble',
          title: 'Inspire',
          to: '/inspire'
        }
      ],
      miniVariant: false,
      right: true,
      rightDrawer: false,
      title: 'Vuetify.js'
    }
  },
  methods: {
    rerender() {
      this.componentKey +=1;
      this.$forceUpdate()
    }
  }
}
</script>
<style scoped lang="scss">
.app-bar {
  box-shadow: unset !important;
}
</style>
